# encoding: utf-8

from __future__ import unicode_literals

from collections import Mapping

import six


def is_nested(obj):
    """Проверка на вложенность объекта.

    Содержит ли словарь словари как свои значения.
    """

    if isinstance(obj, Mapping):
        return any(
            isinstance(val, Mapping) for val in six.itervalues(obj)
        )
    raise NotImplementedError(
        'Nested check for {} is not implemented'.format(
            type(obj)
        )
    )
